import { GraphQLSchema } from 'graphql';
import { CommandFactory, GlobalArgs } from '@graphql-inspector/commands';
export { CommandFactory };
export declare function handler(input: {
    oldSchema: GraphQLSchema;
    newSchema: GraphQLSchema;
    onComplete?: string;
    onUsage?: string;
    rules?: Array<string | number>;
}): Promise<void>;
declare const _default: CommandFactory<{}, {
    oldSchema: string;
    newSchema: string;
    rule?: Array<string | number>;
    onComplete?: string;
    onUsage?: string;
} & GlobalArgs>;
export default _default;
